Sjablonen
POST /insurance/SearchTemplates🔍 Zoek beschikbare verzekeringssjablonen voor een apparaat op basis van de specificaties en verkoopprijs.
- 📦 Geef alleen
itemNoop, of geef zowelmanufacturerCodealsitemCategoryCodeop - 💰
retailPriceis altijd vereist (minimumwaarde:1)
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
itemNo?string
Item number from the product catalog. Required if manufacturerCode and itemCategoryCode are not provided.
manufacturerCode?string
Manufacturer code. Required if itemNo is empty.
model?string
Device model name (optional).
itemCategoryCode?stringEnum: "PHONE" | "TABLET" | "NOTEBOOK" | "VISUAL" | "WEARABLES" | "OTHER" | "DESKTOP"
Device category code. Required if itemNo is empty.
retailPrice*number
Retail price of the device in euros. Minimum value: 1.
includeTermsOfConditions?boolean
Set to true to include the terms of conditions document (base64-encoded PDF) in the response.
Response Body
application/json
application/json
curl -X POST "https://jubilee-ws.test.harmony.nl/insurance/SearchTemplates" \ -H "Content-Type: application/json" \ -d '{ "itemCategoryCode": "PHONE", "manufacturerCode": "APPLE", "itemNo": "PHONE-APPLE", "model": "iPhone 17 Pro", "retailPrice": 2000, "includeTermsOfConditions": true }'{
"templates": [
{
"code": "string",
"name": "string",
"title": "string",
"packageName": "string",
"planName": "string",
"invoicePeriodAmount": 0,
"invoicePeriodLength": 0,
"excessFeeDamage": 0,
"excessFeeTheft": 0,
"insuredComponents": {
"theft": true
}
}
]
}{}